<?php

use yii\helpers\Html;
use yii\grid\GridView;
use mdm\admin\components\RouteRule;
use mdm\admin\components\Configs;
use yii\helpers\Url;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */
/* @var $searchModel mdm\admin\models\searchs\AuthItem */
/* @var $context mdm\admin\components\ItemController */

$context = $this->context;
$labels = $context->labels();
$this->title = Yii::t('rbac-admin', $labels['Items']);
$this->params['breadcrumbs'][] = $this->title;

$rules = array_keys(Configs::authManager()->getRules());
// print_r(Configs::authManager()->getRules());
// die();
$rules = array_combine($rules, $rules);
unset($rules[RouteRule::RULE_NAME]);
?>
<div class="app-main__inner">
                <div class="card no-shadow bg-transparent no-border rm-borders mb-3">
                            <div class="card">
                                <div class="no-gutters row">
                                    <div class="col-md-12 col-lg-12">
                                        <ul class="list-group list-group-flush">
                                            <li class="bg-transparent list-group-item">
                                                <div class="widget-content p-0">
                                                    <div class="widget-content-outer">
                                                        <div class="widget-content-wrapper">
                                                            <div class="widget-content-left">
                                                                <div class="widget-numbers dj-text-success">Users Roles</div>
                                                            </div>
                                                            <div class="widget-content-right">
                                                                <div class="djsec-text-right dj-print-sec">
                                                                     
                                                                      <a href="<?=Url::base().'/admin/role/create'?>" class="dj-danger-btn"><i class="fa fa-plus-circle" aria-hidden="true"></i> Add Role</a>  
                                                                       
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                          
                                        </ul>
                                    </div> 
                                </div>
                            </div>
                        </div>
                       
                          <div class="main-card mb-3 card">
                        <div class="card-body">
                        
                            <?=
                                GridView::widget([
                                    'dataProvider' => $dataProvider,
                                    // 'filterModel' => $searchModel,
                                    'columns' => [
                                        ['class' => 'yii\grid\SerialColumn'],
                                        [
                                            'attribute' => 'name',
                                            'label' => Yii::t('rbac-admin', 'Name'),
                                        ],
                                        // [
                                        //     'attribute' => 'ruleName',
                                        //     'label' => Yii::t('rbac-admin', 'Rule Name'),
                                            
                                        // ],
                                        [
                                            'attribute' => 'description',
                                            'label' => Yii::t('rbac-admin', 'Description'),
                                        ], 
                                        [
                                            'label' => 'Action',
                                            // 'attribute' => 'username',
                                            'format'=>'raw',
                                            'headerOptions' => ['style' => 'width:35px'],
                                            'contentOptions'=>[ 'style'=>'width: 35px'],
                                            'value' => function ($data) {
                                                return '<div class="d-inline-block dropdown">
                                                        <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                                                        <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                                            <ul class="nav flex-column">
                                                            <li class="nav-item">
                                                                    <a class="nav-link" href='.Url::base().'/admin/role/view?id='.urlencode($data->name).' data-method=post>
                                                                       <i class="fa fa-eye"></i>
                                                                        <span class="dj-icon-gap"> View</span>
                                                                    </a>
                                                                </li>
                                                                <li class="nav-item">
                                                                    <a class="nav-link" href='.Url::base().'/admin/role/update?id='.urlencode($data->name).'>
                                                                        <i class="fa fa-pencil-square"></i>
                                                                        <span class="dj-icon-gap"> Edit</span>
                                                                    </a>
                                                                </li>
                                                                <li class="nav-item">
                                                                    <a class="nav-link confirmdeletesalesorder" href='.Url::base().'/admin/role/delete?id='.urlencode($data->name).'  data-method=post>
                                                                       <i class="fa fa-trash"></i>
                                                                        <span class="dj-icon-gap"> Delete</span>
                                                                    </a>
                                                                </li>
                                                                
                                                               
                                                            </ul>
                                                        </div>
                                                    </div>';
                                            }
                                        ],
                                    ],
                                ])
                                ?>
                                
                        </div>
                    </div>
                </div>


<?php ob_start();?>
 <script type="text/javascript">
$(function() {

});
</script>
<?php $this->registerJs(preg_replace('~^\s*<script.*>|</script>\s*$~ U', '', ob_get_clean()))?>
